[prev in list] [next in list] [prev in thread] [next in thread] 

List:       samba-technical
Subject:    patch: install of templates
From:       Amin Azez <azez () ufomechanic ! net>
Date:       2007-09-26 10:22:31
Message-ID: 46FA32E7.6050401 () ufomechanic ! net
[Download RAW message or body]

This patch installs the different server templates.
It also has better error reporting on why template expansion fails.

Sam

["templates.patch" (text/x-patch)]

Index: scripting/libjs/provision.js
===================================================================
--- scripting/libjs/provision.js        (revision 25349)
+++ scripting/libjs/provision.js        (working copy)
@@ -355,6 +355,11 @@
        var f = fname;
        var src = lp.get("setup directory") + "/" + template;
 
+       if (! sys.stat(src)) {
+               message("Template file not found: %s\n",src);
+               assert(0);
+       }
+
        sys.unlink(f);
 
        var data = sys.file_load(src);
Index: script/installmisc.sh
===================================================================
--- script/installmisc.sh       (revision 25349)
+++ script/installmisc.sh       (working copy)
@@ -24,7 +24,7 @@
 cp setup/*.ldif $SETUPDIR || exit 1
 cp setup/*.reg $SETUPDIR || exit 1
 cp setup/*.zone $SETUPDIR || exit 1
-cp setup/*.conf $SETUPDIR || exit 1
+cp setup/*.conf* $SETUPDIR || exit 1
 
 echo "Installing script tools"
 mkdir -p "$BINDIR"


[prev in list] [next in list] [prev in thread] [next in thread] 

Configure | About | News | Add a list | Sponsored by KoreLogic